%define anolis_release 2
%bcond_with tests

Name:           python-setuptools_scm
Version:        7.1.0
Release:        %{anolis_release}%{?dist}
Summary:        Blessed package to manage your versions by SCM tags

License:        MIT
URL:            https://pypi.python.org/pypi/setuptools_scm
Source0:        %{pypi_source setuptools_scm}

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
%if %{with tests}
BuildRequires:  git-core
BuildRequires:  mercurial
%endif

%description
Setuptools_scm handles managing your Python package versions in SCM metadata.
It also handles file finders for the supported SCMs.


%package -n python3-setuptools_scm
Summary:        %{summary}

%description -n python3-setuptools_scm
Setuptools_scm handles managing your Python package versions in SCM metadata.
It also handles file finders for the supported SCMs.


%pyproject_extras_subpkg -n python3-setuptools_scm toml

%package -n python3-setuptools_scm-doc
Summary:        %{summary}
Requires: 	python3-setuptools_scm = %{version}-%{release}
BuildArch:      noarch

%description -n python3-setuptools_scm-doc
Doc files for python3-setuptools_scm

%prep
%autosetup -p1 -n setuptools_scm-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-e %{toxenv}-test}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files setuptools_scm


%if %{with tests}
%check
# Both of the skipped tests try to download from the internet
%tox -- -- -v -k 'not test_pip_download and not test_distlib_setuptools_works'
%endif


%files -n python3-setuptools_scm -f %{pyproject_files}
%license LICENSE

%files -n python3-setuptools_scm-doc
%doc README.rst


%changelog
* Wed Mar 29 2023 happy_orange <songnannan@linux.alibaba.com> - 7.1.0-2
- disable check

* Fri Mar 17 2023 happy_orange <songnannan@linux.alibaba.com> - 7.1.0-1
- package init from upstream
